{
  "type": "shaker",
  "neverRecomputeExistingPartitions": false,
  "optionalDependencies": false,
  "params": {
    "engineParams": {
      "spark": {
        "readParams": {
          "mode": "AUTO",
          "autoModeRepartitionInto": 10,
          "map": {
            "transactions_joined": {
              "repartition": 10
            }
          }
        },
        "useGlobalMetastore": false,
        "useNativeProcessors": true,
        "sparkConfig": {
          "inheritConf": "default",
          "conf": []
        },
        "executionEngine": "SPARK_SUBMIT",
        "pipelineAllowStart": true,
        "pipelineAllowMerge": true,
        "skipPrerunValidate": false
      },
      "hive": {
        "inheritConf": "default",
        "hiveconf": [],
        "executionEngine": "HIVECLI_LOCAL",
        "addDkuUdf": false,
        "skipPrerunValidate": false
      },
      "impala": {
        "forceStreamMode": true
      },
      "hadoopConfigKeys": [],
      "sqlPipelineParams": {
        "pipelineAllowStart": true,
        "pipelineAllowMerge": true
      },
      "maxThreads": 8
    }
  },
  "customMeta": {
    "kv": {}
  },
  "redispatchPartitioning": false,
  "maxRunningActivities": 0,
  "variables": {},
  "dkuProperties": [],
  "inputs": {
    "main": {
      "items": [
        {
          "ref": "transactions_joined",
          "deps": []
        }
      ]
    }
  },
  "outputs": {
    "main": {
      "items": [
        {
          "ref": "transactions_joined_prepared",
          "appendMode": false
        }
      ]
    }
  },
  "labels": [],
  "versionTag": {
    "versionNumber": 2,
    "lastModifiedBy": {
      "login": "sean"
    },
    "lastModifiedOn": 1668612988055
  },
  "creationTag": {
    "versionNumber": 0,
    "lastModifiedBy": {
      "login": "sean"
    },
    "lastModifiedOn": 1668612788868
  },
  "tags": [],
  "customFields": {},
  "checklists": {
    "checklists": []
  }
}